> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/access/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/access/key-components/authenticators/flow-control/enrichidentity.md).

# EnrichIdentity

Customisable authentication menu

## Introduction

The EnrichIdentity authenticator invokes a configured pipe and propagates designated response properties into the global state, making them available to subsequent authenticators and flow controllers. If the pipe returns a failure response, the authentication sequence is immediately terminated and marked as failed.

## Configuration

{% hint style="info" %}
**Authenticator type:** *EnrichIdentity*
{% endhint %}

Common Authenticator configuration can be found [here](/access/key-components/authenticators/common-configuration.md).

{% tabs %}
{% tab title="Properties" %}

<table data-full-width="true"><thead><tr><th>Name</th><th>Description</th><th>Default</th><th data-type="checkbox">Mandatory</th></tr></thead><tbody><tr><td><pre><code>pipe_id
</code></pre></td><td>ID of the pipe to execute.</td><td><code>N/A</code></td><td>true</td></tr><tr><td><pre class="language-json"><code class="lang-json">exec_if
</code></pre></td><td>An expression that determines if the authenticator should be executed or not.</td><td><code>N/A</code></td><td>false</td></tr><tr><td><pre><code>properties_to_export
</code></pre></td><td>Specifies which properties to export to the global state. If not specified all the properties are exported.</td><td><code>N/A</code></td><td>false</td></tr><tr><td><pre><code>custom_identifier
</code></pre></td><td>Tag used for event separation</td><td>N/A</td><td>false</td></tr></tbody></table>
{% endtab %}

{% tab title="Example" %}

```json
{
    "id": "enrich_identity_1",
    "type": "EnrichIdentity",
    "config": {
        "pipe_id": "enrich_identity_pipe_1",
        "properties_to_export": ["property_1","property_2"]
    }
}
```

{% endtab %}
{% endtabs %}

## Logging

WEB\_100042("EnrichIdentity executed")

* IDENTIFIER (user trace id)
* CUSTOMER\_IDENTIFIER (if configured)
* SOURCE\_ADDRESS (ip of the remote session)
* AUTHENTICATOR\_ID (id + display\_name of authenticator)

WEB\_100043("EnrichIdentity failed")

* IDENTIFIER (user trace id)
* CUSTOMER\_IDENTIFIER (if configured)
* SOURCE\_ADDRESS (ip of the remote session)
* AUTHENTICATOR\_ID (id + display\_name of authenticator)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fortifiedid.se/access/key-components/authenticators/flow-control/enrichidentity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
